<?
//
//
require_once($_SERVER['DOCUMENT_ROOT']."/jquery/inc/system.php"); 
//
//
if(!$user){
header('location:/login/');
exit();
}
//
//
head([]);
//
//
echo logs();
//
//
$type = num($_GET['id']);
if($type >= 1 && $type <= 6){
//
//
$title_item = array('','Обычное качество','Редкое качество','Эпическое качество','Легендарное качество','Мифическое качество','Божественное качество');
//
//

if(isset($_GET['pay'])){ 

    $id = num($_GET['pay']); 
    $item = DB::$dbs->queryFetch("SELECT * FROM `items` WHERE `id` = ? LIMIT 1", array($id)); 

    if(!$item){ 
        header('location:?id='.$type); 
        exit(); 
    } 

$count = DB::$dbs->query("SELECT (id) FROM `inv` WHERE `yes` = '0' AND `id_user` = '".$user['id']."'")->rowCount();  
    if($count >= 30){  
        err2("У вас недостаточно места в рюкзаке");  
        header('location:?id='.$type); 
        exit();  
    }  
//
//
$gold = $item['gold']; 
//
//

    if($user['gold'] < $gold){ 
        err2("У вас недостаточно золота");  
        header('location:?id='.$type); 
        exit(); 
    } 
//
//
    DB::$dbs->query("INSERT INTO `inv` SET `id_user` = ?, `set` = ?, `power` = ?, `def` = ?, `hp` = ?, `smitch` = ?, `max_smitch` = ?, `yes` = ?, `type` = ?, `name` = ?, `level` = ?", array($user['id'],$item['set'],$item['power'],$item['def'],$item['hp'],0,$item['max_smitch'],0,$item['type'],$item['name'],$item['level']));
    DB::$dbs->query("UPDATE `users` SET `gold` = `gold` - ? WHERE `id` = ? LIMIT 1", array($gold,$user['id']));
  //
  //
  if($user['start'] == 4){
if($user['start_coll'] < 1){
DB::$dbs->query('UPDATE `users` SET `start_coll` = `start_coll` + ? WHERE `id` = ? LIMIT 1', array(1,$user['id']));
}else{
DB::$dbs->query('UPDATE `users` SET `start` = `start` + ?, `start_coll` = ? WHERE `id` = ? LIMIT 1', array(1,0,$user['id']));
}
}
  //
  //
    ok2("Вещь приобретена и находиться в рюкзаке"); 
        header('location:?id='.$type); 
exit(); 
} 

//
//
?>
<div class="poster -gas">
		    <div class="start">
		        
		        <?
		        		            		        		           		        		            		            if($user['start'] == 4){
    ?>
    <div class="menu-not2">
    <div class="imgL">
    <img src="/css/img/start_mob_1.png" class="imgFight2" width="55" height="55">
    </div>
    Святой рыцарь
    <br>
    <font size="2" color="#777777">
    Купи себе снаряжение, чтобы стать сильнее
    </font>
    <br>
    <font color="#999999">
    <span style="float: left;">
    <small>
    Купите 2 вещи
    </small>
    </span>
    <br>
    </font>
    </div>
    <?
		            }
		            ?>
		            
		            		        <?
		        		            		        	            if($user['start'] == 5){
    ?>
    <div class="menu-not2">
    <div class="imgL">
    <img src="/css/img/start_mob_1.png" class="imgFight2" width="55" height="55">
    </div>
    Святой рыцарь
    <br>
    <font size="2" color="#777777">
    Отлично, теперь нужно надеть снаряжение, чтобы стать сильнее
    </font>
    <br>
    <font color="#999999">
    <span style="float: left;">
    <small>
    Откройте рюкзак и наденьте снаряжение
    </small>
    </span>
    <br>
    </font>
    </div>
    <?
		            }
		            ?>
		        
		        <center>
		            <span class="title-wqi"><?=$title_item[$type];?></span>
		        </center>
		        
		        <div class="start">
		            <?
		            $sql = DB::$dbs->query("SELECT * FROM `items` WHERE `set` = '".$type."' ORDER BY `id`"); 
//
//
foreach ($sql as $sqlls => $im){
    //
    //
    $inv = DB::$dbs->queryFetch("SELECT * FROM `inv` WHERE `type` = ? AND `yes` = ? AND `id_user` = ? LIMIT 1", array($im['type'],1,$user['id']));
//
//
$param_1 = ($inv['power']+$inv['def']+$inv['hp']); 
$param_2 = ($im['power']+$im['def']+$im['hp']); 
//
//
if($param_1 >= $param_2){ 
$param = "<font color='tomato'>(-".($param_1-$param_2).")</font>"; 
} 
elseif($param_1 < $param_2){ 
$param = "<font color='lime'>(+".($param_2-$param_1).")</font>"; 
} 
    //
    //
    ?>
    <div class="menu-not2">
    <div class="imgL">
    <img src="/css/img/items/<?=$type;?>/<?=$im['type'];?>.png" width="40" height="40">
    </div> 
    <font color="<?=$color[$type];?>"><?=$im['name'];?></font>
    <br>
    <img src="/css/img/icon_str.png"> <?=$im['power'];?> 
    <img src="/css/img/icon_def.png"> <?=$im['def'];?> 
    <img src="/css/img/icon_hp.png"> <?=$im['hp'];?> 
    <small><?=$param;?></small>
    </div>
    <a href="?id=<?=$type;?>&pay=<?=$im['id'];?>" class="click">Купить за <img src="/css/img/gold.png"> <?=$im['gold'];?></a>
	<div class="stats2"></div>
    <?
}
//
//
		            ?>
		            	<center><a href="/shop/item/">Вернуться назад</a></center>
		            		        </div>
		        </div>		        </div>
		        
<?
//
//
foot([]);
exit();
//
//
}
//
//
?>
<div class="poster -gas">
		    <div class="start">
		        <center>
		            <span class="title-wqi">Комплекты снаряжений</span>
		        </center>
		        
		        <div class="start">
		            
	      
	<font color="<?=$color[1];?>">
	Обычное качество
	</font>
	<br>
	<a href="?id=1" class="click">Посмотреть</a>
	<div class="stats2"></div>
		      
	<font color="<?=$color[2];?>">
	Редкое качество
	</font>
	<br>
	<a href="?id=2" class="click">Посмотреть</a>
	<div class="stats2"></div>
	      
	<font color="<?=$color[3];?>">
	Эпическое качество
	</font>
	<br>
	<a href="?id=3" class="click">Посмотреть</a>
	<div class="stats2"></div>
	
	<font color="<?=$color[4];?>">
	Легендарное качество
	</font>
	<br>
	<a href="?id=4" class="click">Посмотреть</a>
	<div class="stats2"></div>
		      
	<font color="<?=$color[5];?>">
	Мифическое качество
	</font>
	<br>
	<a href="?id=5" class="click">Посмотреть</a>
	<div class="stats2"></div>
			      
	<font color="<?=$color[6];?>">
	Божественное качество
	</font>
	<br>
	<a href="?id=6" class="click">Посмотреть</a>
	<div class="stats2"></div>
	<center><a href="/shop/">Вернуться назад</a></center>
		        </div>
		        </div>
<?
//
//
foot([]);
//
//
?>